FoxyProxy Standard Version History

86 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 2.8.5 462.8 kB Works with Firefox 3.0 - 3.1b1pre

* Fix for PAC loading problem discussed at http://foxyproxy.mozdev.org/drupal/content/pac-support. You should now remove all PAC-specific patterns from FoxyProxy.
* Loading, testing, and viewing PAC files now always bypasses the Firefox cache as discussed at http://foxyproxy.mozdev.org/drupal/content/intranet-pac-file-and-alternate-no-proxy-journey.
* Performance improvements executing PAC files during web surfing.
* Improved error reporting for many kinds of PAC errors.
* When testing PAC with the "Test" button, sliding notifications have been replaced with more appropriate message boxes.
* Fixed incorrect informational popup as discussed at http://foxyproxy.mozdev.org/drupal/content/pattern-template-reference.
* Some text updates for clarity. For example, "You didn't enter and enable any whitelisted (inclusive) URL patterns. This means the proxy won't be used. Continue anyway?" is changed to "You didn't enter and enable any whitelisted (inclusive) URL patterns. This means the proxy won't be used unless FoxyProxy is set to "Use Proxy %S for all URLs". Continue anyway?"
* Translation updates.
* Firefox version compatibility bumped to 3.1b1pre

Version 2.8.4 456.7 kB Works with Firefox 2.0 - 3.1a2pre

* Fixed problem when adding a feed (RSS/ATOM) to Firefox through the feed image in the address bar. feed:// URLs are meant to be handled internally by Firefox and not passed to a proxy. This was originally fixed in FoxyProxy 2.6 but seems to have regressed.

Version 2.8.3 456.7 kB Works with Firefox 2.0 - 3.0.*

* Fixed annoying "PAC file loaded" dialog on startup. This only affects people using PAC files on certain platforms. It appears related to having lots of extensions installed, or at least extensions which significantly slow down browser startup time.

Version 2.8.2 456.7 kB Works with Firefox 2.0 - 3.0.*

* Fixed missing checkboxes on Mac OS/X.

Version 2.8.1 455.7 kB Works with Firefox 2.0 - 3.0.*

Fixed bug whereby PAC files no longer loaded in Firefox 2.0.x. This bug was introduced in FoxyProxy 2.8 and was a result of adding support for multiple simultaneous PAC files.

Version 2.8 455.7 kB Works with Firefox 2.0 - 3.0.*

* Home pages now always load through the proper proxy. This required a major rewrite of most FoxyProxy code.
* Many user interface fixes, updates, changes.
* Fixed FoxyProxy windows getting bigger and bigger after each opening
* Fixed toolbar button sizing and spacing fix
* Fixed mode synchronization in Options dialog
* Fixed support for multiple simultaneous PAC files
* Support for Flock (again). Note I've only done minimal testing of FoxyProxy with Flock.
* QuickAdd enhancements and performance improvements (e.g., you can now add "temporary" patterns)
* AutoAdd enhancements and performance improvements. Autoadd is now actually usable on many web pages, although there are still performance issues on large pages like the new Yahoo! Mail.
* Fixed resource leak when deleting a proxy that auto-loads PAC files
* Removed lots of cruft. Enormous amounts of refactoring. Other fixes and minor changes.
* Updated help docs and corresponding links in extension
* Translation updates for many translations. Hungarian (hu-HU) and Macedonian (mk-MK) translations started
* Dropped support for Firefox 1.0 and 1.5. FoxyProxy may still work with these version of Firefox, but I don't have the time to test against them.

Version 2.7.5 433.2 kB Works with Firefox 1.5 - 3.0.*

-Fixed duplicate "Show Options Dialog" in Global Settings->StatusBar Activation->Middle Click and Global Settings->StatusBar Activation->Right Click
-Firefox version compatibility bump in install.rdf to permit offline installation of FoxyProxy into Firefox 3.x releases.

Version 2.7.4 433.2 kB Works with Firefox 2.0 - 3.0.*

* Fixed non-English translation problems in 2.7.3.

Version 2.7.3 434.2 kB Works with Firefox 1.5 - 3.0pre

* Added cancel btn for Add/Edit Proxy as requested at http://foxyproxy.mozdev.org/drupal/content/add-cancel-button-add-new-proxy-interface
* Fixed initial window sizing bugs for all dialogs on linux and osx platforms (reported http://foxyproxy.mozdev.org/drupal/content/ok-button-not-visible and elsewhere)
* Fixed duplicate quickadd key id bug (http://foxyproxy.mozdev.org/drupal/content/changing-ctrl-f2)
* Removed cruft for smaller download and better performance
* Expanded and updated help docs and corresponding links in ext
* Updated translations
* Improved error handling when foxyproxy.xml not found

Version 2.7.2 432.1 kB Works with Firefox 1.5 - 3.0b5

* Added ability to edit the generated pattern during QuickAdd prompts
* Improved error handling when foxyproxy.xml not found
* Translation updates

Version 2.7.1 432.1 kB Works with Firefox 1.5 - 3.0b5pre

Configuration change to work around an issue with the Songbird Addons site (http://addons.songbirdnest.com/extensions/detail/178). No functional changes were made between 2.7.1 and 2.7.

Version 2.7 432.1 kB Works with Firefox 1.5 - 3.0b4pre

* Support for Songbird 0.4 and above.
* Added ability for fixed-width status bar, requested by many users in the FoxyProxy Forums. See the new option Fixed width on the Global Settings tab.
* Patterns can now be case-insensitive. When you upgrade to version 2.7, existing patterns are converted to be case-insensitive even though the default behavior of FoxyProxy prior to 2.7 was for patterns to be case-sensitive. The reason for this conversion is that we anticipate most users will want their patterns to be case-insensitive.
* Updated translations.
* Removed Hungarian translation since it's been abandoned by the translator. Please join us on Babelzilla if you'd like to take over the Hungarian translation or convert FoxyProxy to another language.

Version 2.6.2 436.2 kB Works with Firefox 1.5 - 3.0b3

Fixed bug introduced in 2.6.1 whereby FoxyProxy sometimes starts in disabled mode. Note that upon first installation, FoxyProxy always starts disabled. After subsequent starts of Firefox, however, FoxyProxy now remembers its last mode. This behavior was broken for 2.6.1. Please install 2.6.2.

Version 2.6.1 437.2 kB Works with Firefox 1.5 - 3.0b3pre

Fixed non-English translation problems in 2.6.

Version 2.6 403.5 kB Works with Firefox 1.5 - 3.0b3pre

Version 2.5.5 402.4 kB Works with Firefox 1.5 - 3.0b2

Version 2.5.4 402.4 kB Works with Firefox 1.5 - 3.0b2

Changes for Firefox 3.0 compatibility.

Version 2.5.3 391.2 kB Works with Firefox 1.5 - 2.0.0.*

Fixes a bug when upgrading from FoxyProxy 2.5.1 which mistakenly checked the "SOCKS proxy?" checkbox for all proxies.

Version 2.5.2 391.2 kB Works with Firefox 1.5 - 2.0.0.*

Release notes are available at http://foxyproxy.mozdev.org/download.html

This emergency release fixes a problem in 2.5.1 whereby FoxyProxy, when being upgraded from the previous release (2.4.1), would corrupt SOCKS port numbers. This led some people to believe that SOCKS support was broken in 2.5.1. Please accept my apologies for the broken 2.5.1 release. It has been removed from this site. This release--2.5.2--has been more thoroughly tested for upgrade bugs.

Version 2.4.1 329.7 kB Works with Firefox 1.5 - 2.0.0.*

Release notes are available at http://foxyproxy.mozdev.org/downloads.html

Version 2.3 270.3 kB Works with Firefox 1.5 - 2.0.0.*

Release notes available at http://foxyproxy.mozdev.org/downloads.html

Version 2.2.1 248.8 kB Works with Firefox 1.5 - 2.0.0.*

Version 2.2 250.9 kB Works with Firefox 1.5 - 2.0b2

Version 2.1 265.2 kB Works with Firefox 1.5 - 1.5.0.*

For version notes, please see http://foxyproxy.mozdev.org/downloads.html

Version 2.0 216.1 kB Works with Firefox 1.5 - 1.5.0.*

Version 1.0 44.0 kB Works with Firefox 1.5 - 1.5.0.*